Api reference/Webhooks
List webhook endpoints
AuthorizationBearer <token>
OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.
In: header
Scope: torqee:webhooks:read
Query Parameters
cursor?string
Length
1 <= lengthlimit?integer
Range
1 <= value <= 100Response Body
curl -X GET "https://connect.torqee.app/api/v1/webhooks?cursor=string&limit=1"fetch("https://connect.torqee.app/api/v1/webhooks?cursor=string&limit=1")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://connect.torqee.app/api/v1/webhooks?cursor=string&limit=1"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://connect.torqee.app/api/v1/webhooks?cursor=string&limit=1"
response = requests.request("GET", url)
print(response.text){
"items": [
{
"id": "string",
"name": "string",
"url": "http://example.com",
"filters": [
{
"type": "session.created",
"sessionId": "string"
}
],
"enabled": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "string"
}{
"error": "invalid_request"
}{
"error": "unauthorized"
}{
"error": "insufficient_scope"
}{
"error": "workspace_not_found"
}{
"error": "internal_server_error"
}